Bug 98164 - Server crashes on NFS install connecting to NFS Server
Server crashes on NFS install connecting to NFS Server
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-27 05:32 EDT by Joachim Platzer
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joachim Platzer 2003-06-27 05:32:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
We have problems to install RH9.0 over NFS. On Linux-Machines (RH8 and SUSE 
8.2) the installion hangs if more than 1 client is connected. With 1 client 
it's very slow.
But we need parallel installation with 10 clients for installation training.
So we tried on a SUN server and we chrashed the server.
We want to install on Compaq Deskpro EN.
Maybe the Problem is our Domain (over 15000 IP-Adresses here at our plant, and 
much more at the domain.

The server is an SUN with Solaris 8, access for all with "anon=0".
We made a networktrace with ethereal, which I can't attach here.

We think that there is a bug in the install-routine (SuSE works, but we think 
you won't recommend this  ;-)  )


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Starting Installation
2. Connecting to NFS-Server
3.
    

Actual Results:  The NFS- Server crashes

Expected Results:  Start of installation

Additional info:
Comment 1 Michael Fulbright 2003-06-30 14:49:37 EDT
I'm not sure how to address this, as there are so many variables that could be
influencing performance. When we are testing we have a dozen or more installs
going at the same time from a single NFS server w/o any problems.

What are the system specifics of the NFS server?
Comment 2 Joachim Platzer 2003-07-09 05:29:37 EDT
Server is a Sun Fire V880 (2 CPUs UltraSPARC III 750MHz, FC Storage EMC 
Clariion, 4GB RAM) mit Solaris 8 + recommended Patches. It's the same with 
other Solaris 8 servers.
The Problem can be reproduced by filtering the "mount OK" response.
The timeout is about 2.5 seconds.
It may be to short if the network is working at full capacity or a reverse 
lookup must be done first.
Then anaconda sends thousands of mount-requests per second.
Comment 3 Michael Fulbright 2003-07-11 11:59:58 EDT
Jeremy are you familiar with this issue?
Comment 4 Jeremy Katz 2003-07-11 14:32:53 EDT
I haven't seen it and don't know what it would be -- we just do the mount and
then let the kernel do what it will.
Comment 5 Bugzilla owner 2004-09-30 11:41:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.